<?php
/* @var $this Zend_View */
unset($this->mobile_view_of_filter);
$this->mobile_view_of_filter = true;
$defines = $this->DEFINITIONS;
$defines['biography'][METRIC_SYSTEM]['height'] = range(145, 225, 10);
$defines['biography'][METRIC_SYSTEM]['weight'] = range(40, 140, 10);

$categoryFilters = array(
    GENDER_FEMALE . '_' . ESCORT_TYPE_ESCORT => ['title' => __('female_escorts'), 'value' => 'escorts'],
    GENDER_FEMALE . '_' . ESCORT_TYPE_MASSAGE => ['title' => __('female_massage'), 'value' => 'massage'],
    GENDER_FEMALE . '_' . ESCORT_TYPE_BDSM => ['title' => __('female_bdsm'), 'value' => 'bdsm'],
    GENDER_MALE  => ['title' => __('male_v2'), 'value' => 'boys'],
    GENDER_TRANS => ['title' => __('trans_v2'), 'value' => 'trans'],
);

$escortTypes = array(
    'all_escorts' => array(
        'title' => __('all_escorts_v2'),
        'value' => ''
    ),
    'agency-escorts' => array(
        'title' => __('agency_escorts_v2'),
        'value' => 'agency-escorts'
    ),
    'independent-escorts' => array(
        'title' => __('independent_escorts_v2'),
        'value' => 'independent-escorts'
    )
);

?>

<div class="filters-mobile mobile" style="display: none;">
    <form id="advanced-search-form-mobile" class="pb-5" data-pjax="1" action="" method="get">
        <input type="hidden" name="sort">
        <div class="d-flex justify-content-between align-items-center">
            <i id="cancel-mobile" class="fas fa-arrow-left"></i>
            <? if(! $this->hideMainFilters): ?>
                <a href="#" class="advanced-search uppercase"><?= __('advanced_search') ?></a>
            <? endif; ?>
        </div>
        <div class="clear mb-20"></div>
        <div class="autocomplete-container flex-grow-1" autocomplete="off">

            <?
            $searchbar_val = [];

            if(!empty($this->filtered_location['zone_title'])) $searchbar_val[] = $this->filtered_location['zone_title'];
            if(!empty($this->filtered_location['city_title'])) $searchbar_val[] = $this->filtered_location['city_title'];
            if(!empty($this->filtered_location['region_title'])) $searchbar_val[] = $this->filtered_location['region_title'];
            if(!empty($this->filtered_location['country_title'])) $searchbar_val[] = $this->filtered_location['country_title'];
            ?>

            <? if(!empty($this->filtered_location['zone_title'])): ?>
                <input type="hidden" id="zone_id" name="zone_id" value="<?= $this->filtered_location['zone_id'] ?>">
            <? endif; ?>

            <? if(!empty($this->filtered_location['city_id'])): ?>
                <input type="hidden" id="city_id" name="city_id" data-slug="<?= $this->filtered_location['city_slug'] ?>" value="<?= $this->filtered_location['city_id'] ?>">
            <? endif; ?>

            <? if(!empty($this->filtered_location['region_id'])): ?>
                <input type="hidden" id="region_id" name="region_id" value="<?= $this->filtered_location['region_id'] ?>">
            <? endif; ?>

            <? if(!empty($this->filtered_location['country_id'])): ?>
                <input type="hidden" id="country_id" name="country_id" data-slug="<?= $this->filtered_location['country_slug'] ?>" value="<?= $this->filtered_location['country_id'] ?>">
            <? endif; ?>

            <div class="autocomplete d-flex">
                <label><?= __('location') ?></label>
                <input id="countryInput-mobile" type="text" value="<?= implode(',',$searchbar_val) ?>" name="countryInput-mobile"
                       placeholder="<?= __('city_region_country') ?>" autocomplete="off">
                <a class="search-button d-flex align-items-center"><i class="fas fa-search"></i></a>
            </div>
        </div>
        <div class="clear mb-20"></div>

        <? if(! $this->hideMainFilters ): ?>
        <p class="uppercase"><?= __('looking_for') ?> ?</p>
        <div class="lookingFor-mobile d-flex flex-wrap">

            <? foreach($categoryFilters as $key => $c_filter): ?>
                <label class="btn-dropdown-rounded <?= ($key == $this->searchCategory) ? ' active' : '' ?> ">
                    <?= $c_filter['title']; ?>
                    <? $parts = explode('_', $key); ?>
                    <input type="radio" class="hidden" data-id="<?= reset($parts) ?>" value="<?= $c_filter['value'] ?>" name="interestedIn" <?= ($key == $this->searchCategory) ? ' checked' : '' ?>>
                </label>
            <? endforeach; ?>
        </div>
        <div class="clear mb-20 active-dissapear"></div>

        <p class="uppercase active-dissapear"><?= __('type') ?> ?</p>
        <div class="escortsType-mobile d-flex flex-wrap active-dissapear">
            <? foreach ($escortTypes as $key => $escortType) : ?>
                <? $is_checked = ($key == $this->p_top_category || (!isset($escortTypes[$this->p_top_category]) && $key == 'all_escorts')); ?>
                <label class="btn-dropdown-rounded <?= $is_checked ? 'active': '' ?>">
                    <?= $escortType['title'] ?>
                    <input type="radio" name="escortsType" value="<?= $escortType['value'] ?>" <?= $is_checked ? ' checked' : '' ?> class="hidden">
                </label>
            <? endforeach; ?>
        </div>
        <? endif ?>

        <div class="clear mb-40 active-dissapear"></div>
        <div class="advanced-search-container" style="display:none;">
            <div class="advanced-search-container-top d-flex flex-row flex-fill flex-wrap align-items-center">
                <div class="text-form d-flex justify-content-between align-items-center flex-fill">
                    <label for="name-mob"><?= __('name') ?></label>
                    <input type="text" name="name" id="name-mob" placeholder="Member Name...">
                </div>
                <div class="text-form d-flex justify-content-between align-items-center flex-fill">
                    <label for="agency_name-mob"><?= __('agency') ?></label>
                    <input type="text" name="agency_name" id="agency_name-mob" placeholder="Agency Name...">
                </div>
                <div class="text-form d-flex justify-content-between align-items-center flex-fill">
                    <label for="phone-mob"><?= __('phone') ?></label>
                    <input type="text" maxlength="19" class="numbers-only" name="phone" id="phone-mob" placeholder="Phone Number...">
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="height_from-mob"><?= __('height_from')?></label>
                    <select size="5" class="multiple-dropdown-box" title="" name="height_from" id="height_from-mob" data-placeholder="<?= __('none_selected')?>">
                        <option value=""><?= __('none_selected') ?></option>
                        <? foreach( $defines['biography'][METRIC_SYSTEM]['height'] as $i): ?>
                            <option value="<?= $i ?>"
                                    <? if ($this->s_height_from == $i): ?>selected<? endif; ?>><?= $i . 'cm (' . Cubix_UnitsConverter::convert($i, 'cm', 'ftin') . ')' ?></option>
                        <? endforeach; ?>
                    </select>
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="height_to-mob"><?= __('height_to')?></label>
                    <select size="5" class="multiple-dropdown-box" title="" name="height_to" id="height_to-mob" data-placeholder="<?= __('none_selected')?>">
                        <option value=""><?= __('none_selected') ?></option>
                        <? foreach( $defines['biography'][METRIC_SYSTEM]['height'] as $i): ?>
                            <option value="<?= $i ?>"
                                    <? if ($this->s_height_to == $i): ?>selected<? endif; ?>><?= $i . 'cm (' . Cubix_UnitsConverter::convert($i, 'cm', 'ftin') . ')' ?></option>
                        <? endforeach; ?>
                    </select>
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="age_from-mob"><?= __('age_from')?></label>
                    <select size="5" class="multiple-dropdown-box" data-range-from="adv-search-age-mob" title="" name="age_from" id="age_from-mob" data-placeholder="<?= __('none_selected')?>">
                        <option value=""><?= __('none_selected') ?></option>
                        <? for ( $i = 18; $i < 65; $i++ ): ?>
                            <option value="<?= $i ?>" <?= ($this->s_age_to && $i >= $this->s_age_to) ? 'disabled' : '' ?> <?= ($this->s_age_from == $i) ? 'selected="selected"' : '' ?>><?= $i ?></option>
                        <? endfor; ?>
                    </select>
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="age_to-mob"><?= __('age_to')?></label>
                    <select size="5" class="multiple-dropdown-box" data-range-to="adv-search-age-mob"title="" name="age_to" id="age_to-mob" data-placeholder="<?= __('none_selected')?>">
                        <option value=""><?= __('none_selected') ?></option>
                        <? for ( $i = 18; $i < 65; $i++ ): ?>
                            <option value="<?= $i ?>" <?= ($this->s_age_from && $i <= $this->s_age_from) ? 'disabled' : '' ?> <?= ($this->s_age_to == $i) ? 'selected="selected"' : '' ?>><?= $i ?></option>
                        <? endfor; ?>
                    </select>
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="weight_from-mob"><?= __('weight_from')?></label>
                    <select size="5" class="multiple-dropdown-box" title="" name="weight_from" id="weight_from-mob" data-placeholder="<?= __('none_selected')?>">
                        <option value=""><?= __('none_selected') ?></option>
                        <? foreach( $defines['biography'][METRIC_SYSTEM]['weight'] as $i): ?>
                            <option value="<?= $i ?>"
                                    <? if ($this->s_weight_from == $i): ?>selected<? endif; ?>><?= $i . 'kg (' . floor( Cubix_UnitsConverter::convert($i, 'kg', 'lbs') ) . 'lbs)' ?></option>
                        <? endforeach; ?>
                    </select>
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="weight_to-mob"><?= __('weight_to')?></label>
                    <select size="5" class="multiple-dropdown-box" title="" name="weight_to" id="weight_to-mob" data-placeholder="<?= __('none_selected')?>">
                        <option value=""><?= __('none_selected')?></option>
                        <? foreach( $defines['biography'][METRIC_SYSTEM]['weight'] as $i): ?>
                            <option value="<?= $i ?>"
                                    <? if ($this->s_weight_to == $i): ?>selected<? endif; ?>><?= $i . 'kg (' . floor( Cubix_UnitsConverter::convert($i, 'kg', 'lbs') ) . 'lbs)' ?></option>
                        <? endforeach; ?>
                    </select>
                </div>

                <div class="text-form d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="price_from-mob"><?= __('price_from') ?></label>
                    <input type="text" id="price_from-mob" maxlength="6" class="numbers-only" placeholder="<?= __('price_from') ?>" name="price_from" value="<?= ($this->s_price_from) ? $this->s_price_from : '' ?>">
                </div>
                <div class="text-form d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="price_to-mob"><?= __('price_from') ?></label>
                    <input type="text" id="price_to-mob" maxlength="6" class="numbers-only" placeholder="<?= __('price_to') ?>" name="price_to" value="<?= ($this->s_price_to) ? $this->s_price_to : '' ?>">
                </div>

                <?
                if(empty($this->s_currency)) {
                    $this->s_currency = !empty($_COOKIE['currency']) ? $_COOKIE['currency'] : 'USD';
                }
                ?>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="currency-mob"><?= __('currency') ?></label>
                    <select size="5" class="multiple-dropdown-box" title=""
                            name="s_currency" id="currency-mob" data-placeholder="<?= __('none_selected') ?>">
                        <option value=""><?= __('none_selected') ?></option>
                        <? foreach( Model_Currencies::getAll() as $curr ): ?>
                            <option value="<?= $curr->title ?>" <? if ( $this->s_currency == $curr->title ): ?>selected="selected"<? endif; ?>><?= $curr->title ?></option>
                        <? endforeach; ?>
                    </select>
                </div>
                <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                    <label for="incall_outcall-mob"><?= __('incall_outcall') ?></label>
                    <select size="5" class="multiple-dropdown-box" title=""
                            name="incall-outcall" id="incall_outcall-mob" data-placeholder="<?= __('none_selected') ?>">
                        <option value=""><?= __('incall_outcall') ?></option>
                        <option value="1" <?= $this->s_incall_outcall == 1 ? 'selected' : '' ?>><?= __('incall') ?></option>
                        <option value="2" <?= $this->s_incall_outcall == 2 ? 'selected' : '' ?>><?= __('outcall') ?></option>
                    </select>
                </div>
                <?= $this->render('escorts/get-filter-v2.phtml')?>
                <div class="clear mb-40"></div>
                <div class="filter-bar-checkboxes d-flex flex-row flex-wrap justify-content-between align-items-center pb-5">
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="so_1-mob" name="orientation[]" value="1">
                        <label for="so_1-mob"><?= __('heterosexual') ?></label>
                    </div>
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="so_2-mob" name="orientation[]" value="2">
                        <label for="so_2-mob"><?= __('bisexual') ?></label>
                    </div>
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="so_3-mob" name="orientation[]" value="3">
                        <label for="so_2-mob"><?= __('homosexual') ?></label>
                    </div>
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="verified" name="s_verified_contact" value="1">
                        <label for="verified"><?= __('verified_contact_details') ?></label>
                    </div>
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="with-video_mob" name="s_with_video" value="1">
                        <label for="with-video_mob"><?= __('with_video') ?></label>
                    </div>
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="pornstar" name="s_pornstar" value="1">
                        <label for="pornstar"><?= __('pornstar') ?></label>
                    </div>
                    <div class="col-12 mb-10">
                        <input type="checkbox" id="online" name="s_is_online_now" value="1">
                        <label for="online"><?= ucfirst(__('online')) ?></label>
                    </div>
                    <div class="col-12">
                        <input type="checkbox" id="available-for-travel" name="s_available_for_travel" value="1">
                        <label for="available-for-travel"><?= __('available_for_travel') ?></label>
                    </div>
                </div>
                <div class="col-md-12 mb-50"></div>
            </div>
        </div>
        <div class="d-flex advanced-buttons">
            <button id="advf-search-mobile" class="btn btn-brown search-mobile flex-grow-1"><?= __('search') ?></button>
        </div>
    </form>
</div>